Page MenuHomePhabricator

Add support for catch-all rule in ChangeProp
Closed, ResolvedPublic

Description

for the job queue use case we have a lot of very low-volume job types and it doesn't make sense to designate a special worker for all of them, so we need to create a catch-all-others type of rule in ChangeProp - it will look at other rules and subscribe to all topics matching a pattern that other rules are not subscribed to yet.

Event Timeline

Pchelolo triaged this task as Normal priority.Apr 2 2018, 7:44 PM
Pchelolo created this task.
Restricted Application added a project: Analytics. · View Herald TranscriptApr 2 2018, 7:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Mentioned in SAL (#wikimedia-operations) [2018-04-04T16:47:02Z] <ppchelko@tin> Started deploy [cpjobqueue/deploy@d4a84ae]: Support multi-topic rules T191238

Mentioned in SAL (#wikimedia-operations) [2018-04-04T16:47:44Z] <ppchelko@tin> Finished deploy [cpjobqueue/deploy@d4a84ae]: Support multi-topic rules T191238 (duration: 00m 42s)

The multi-topic rule support was added to change-prop ad deployed for the JobQueue.

What's left is to make that exclusive so that we don't double-subscribe if we have a regex catch-all rule

Change 424337 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/change-propagation/deploy@master] Separate regexed rules for multi-topic rules support.

https://gerrit.wikimedia.org/r/424337

Ottomata moved this task from Incoming to Radar on the Analytics board.Apr 5 2018, 4:43 PM

Change 424337 merged by Mobrovac:
[mediawiki/services/change-propagation/deploy@master] Separate regexed rules for multi-topic rules support.

https://gerrit.wikimedia.org/r/424337

Pchelolo closed this task as Resolved.Apr 10 2018, 6:05 PM
Pchelolo edited projects, added Services (done); removed Patch-For-Review, Services (doing).

The feature was merged and released for the JobQueue, the related config changes for ChangeProp was also merged, resolving.